## org.eclipse.emf.databinding.edit.internal
Class EMFEditMultiListProperty

    java.lang.Object
      org.eclipse.core.databinding.property.list.ListProperty
          org.eclipse.core.databinding.property.list.MultiListProperty
              org.eclipse.emf.databinding.edit.internal.EMFEditMultiListProperty

All Implemented Interfaces:
  IProperty, IListProperty, IEMFEditListProperty, IEMFEditProperty, IEMFListProperty, IEMFProperty

    public class EMFEditMultiListProperty

extends MultiListProperty
implements IEMFEditListProperty

PROVISIONAL: This API is subject to arbitrary change, including renaming or removal.

Since:
  2.5

Constructor Summary
`EMFEditMultiListProperty(EditingDomain editingDomain, IEMFEditListProperty[] properties)` Create new property

Method Summary
`EditingDomain` `getEditingDomain()`
`EStructuralFeature` `getStructuralFeature()` Returns the descriptor of the `EStructuralFeature` being observed.
`IEMFEditListProperty` `values(EStructuralFeature feature)` Returns a master-detail combination of this property and the specified value property.
`IEMFEditListProperty` `values(FeaturePath featurePath)` Returns a master-detail combination of this property and the specified value nested feature.
`IEMFEditListProperty` `values(IEMFEditValueProperty property)` Returns a master-detail combination of this property and the specified value property.
`IEMFEditListProperty` `values(IEMFValueProperty property)` Returns a master-detail combination of this property and the specified value property.

Methods inherited from class org.eclipse.core.databinding.property.list.MultiListProperty
`getElementType, observe`

Methods inherited from class org.eclipse.core.databinding.property.list.ListProperty
`listFactory, listFactory, observe, observeDetail, values`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.core.databinding.property.list.IListProperty
`getElementType, listFactory, listFactory, observe, observe, observeDetail, values`

Constructor Detail

### EMFEditMultiListProperty

    public EMFEditMultiListProperty(EditingDomain editingDomain,
                                    IEMFEditListProperty[] properties)

  Create new property

  Parameters:
    `editingDomain` -
    `properties` -

Method Detail

### values

    public IEMFEditListProperty values(EStructuralFeature feature)

  Description copied from interface: `IEMFEditListProperty`
  Returns a master-detail combination of this property and the specified value property.

  Specified by:
    `values` in interface `IEMFEditListProperty`
  Specified by:
    `values` in interface `IEMFListProperty`
  Parameters:
    `feature` - the feature
  Returns:
    a nested combination of this property and the specified nested feature.

### values

    public IEMFEditListProperty values(FeaturePath featurePath)

  Description copied from interface: `IEMFEditListProperty`
  Returns a master-detail combination of this property and the specified value nested feature.

  Specified by:
    `values` in interface `IEMFEditListProperty`
  Specified by:
    `values` in interface `IEMFListProperty`
  Parameters:
    `featurePath` - the nested feature to observe
  Returns:
    a nested combination of this property and the specified nested feature.
  See Also:
    `IEMFEditListProperty.values(IEMFEditValueProperty)`

### values

    public IEMFEditListProperty values(IEMFValueProperty property)

  Description copied from interface: `IEMFListProperty`
  Returns a master-detail combination of this property and the specified value property. The returned property will observe the specified value property for all elements observed by this list property.

  Example:

       // Observes the list-typed "children" property of a Person object,
       // where the elements are Person objects
       IEMFListProperty children = EMFProperties
                      .list(MyPackage.Literals.PERSON_CHILDREN);
       // Observes the string-typed "name" property of a Person object
       IEMFValueProperty name = EMFProperties.value(MyPackage.Literals.PERSON_NAME);
       // Observes the names of children of a Person object.
       IEMFListProperty childrenNames = children.values(name);

  Specified by:
    `values` in interface `IEMFEditListProperty`
  Specified by:
    `values` in interface `IEMFListProperty`
  Parameters:
    `property` - the detail property to observe
  Returns:
    a master-detail combination of this property and the specified value property.

### values

    public IEMFEditListProperty values(IEMFEditValueProperty property)

  Description copied from interface: `IEMFEditListProperty`
  Returns a master-detail combination of this property and the specified value property. The returned property will observe the specified value property for all elements observed by this list property.

  Example:

       // Observes the list-typed "children" property of a Person object,
       // where the elements are Person objects
       IEMFListProperty children = EMFProperties
              .list(MyPackage.Literals.PERSON_CHILDREN);
       // Observes the string-typed "name" property of a Person object
       IEMFValueProperty name = EMFProperties.value(MyPackage.Literals.PERSON_NAME);
       // Observes the names of children of a Person object.
       IEMFListProperty childrenNames = children.values(name);

  Specified by:
    `values` in interface `IEMFEditListProperty`
  Parameters:
    `property` - the detail property to observe
  Returns:
    a master-detail combination of this property and the specified value property.

### getStructuralFeature

    public EStructuralFeature getStructuralFeature()

  Description copied from interface: `IEMFProperty`
  Returns the descriptor of the `EStructuralFeature` being observed.

  Specified by:
    `getStructuralFeature` in interface `IEMFProperty`
  Returns:
    the `EStructuralFeature` being observed

### getEditingDomain

    public EditingDomain getEditingDomain()

  Specified by:
    `getEditingDomain` in interface `IEMFEditProperty`
  Returns:
    the editing domain to execute commands

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.